Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 12906002: Add ability to defined ranges with different styles in StyledLabel (Closed)

Created:
5 years, 6 months ago by tbarzic
Modified:
2 months, 3 weeks ago
Reviewers:
Evan Stade, sky, tonibarzic
CC:
chromium-reviews, tfarina
Visibility:
Public.

Description

Add ability to defined ranges with different styles in StyledLabel In adition to having linkified ranges, support ranges with different font styles and tooltips. BUG=175070 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=191857

Patch Set 1 #

Patch Set 2 : . #

Patch Set 3 : . #

Patch Set 4 : . #

Patch Set 5 : . #

Total comments: 8

Patch Set 6 : . #

Total comments: 8

Patch Set 7 : . #

Patch Set 8 : . #

Total comments: 20

Patch Set 9 : . #

Patch Set 10 : . #

Total comments: 3

Patch Set 11 : rebase + win fix #

Patch Set 12 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+357 lines, -52 lines) Patch
M chrome/browser/chromeos/ui/echo_dialog_view.cc View 1 2 3 4 5 6 7 8 2 chunks +4 lines, -2 lines 0 comments Download
M chrome/browser/ui/views/autofill/autofill_dialog_views.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +3 lines, -1 line 0 comments Download
M ui/views/controls/styled_label.h View 1 2 3 4 5 6 7 8 9 10 11 3 chunks +43 lines, -11 lines 0 comments Download
M ui/views/controls/styled_label.cc View 1 2 3 4 5 6 7 8 9 10 3 chunks +100 lines, -33 lines 0 comments Download
M ui/views/controls/styled_label_unittest.cc View 1 2 3 4 5 6 7 8 9 10 4 chunks +207 lines, -5 lines 0 comments Download

Messages

Total messages: 21 (0 generated)
tbarzic
Hey Can you take a look at this?
5 years, 6 months ago (2013-03-18 22:27:19 UTC) #1
Evan Stade
https://codereview.chromium.org/12906002/diff/4002/ui/views/controls/styled_label.cc File ui/views/controls/styled_label.cc (right): https://codereview.chromium.org/12906002/diff/4002/ui/views/controls/styled_label.cc#newcode48 ui/views/controls/styled_label.cc:48: result->SetFont(result->font().DeriveFont(0, style_info.font_style)); setting a different font means that the ...
5 years, 6 months ago (2013-03-18 23:20:50 UTC) #2
tbarzic
https://codereview.chromium.org/12906002/diff/4002/ui/views/controls/styled_label.cc File ui/views/controls/styled_label.cc (right): https://codereview.chromium.org/12906002/diff/4002/ui/views/controls/styled_label.cc#newcode48 ui/views/controls/styled_label.cc:48: result->SetFont(result->font().DeriveFont(0, style_info.font_style)); On 2013/03/18 23:20:50, Evan Stade wrote: > ...
5 years, 6 months ago (2013-03-19 01:07:34 UTC) #3
Evan Stade
https://codereview.chromium.org/12906002/diff/4002/ui/views/controls/styled_label.cc File ui/views/controls/styled_label.cc (right): https://codereview.chromium.org/12906002/diff/4002/ui/views/controls/styled_label.cc#newcode48 ui/views/controls/styled_label.cc:48: result->SetFont(result->font().DeriveFont(0, style_info.font_style)); On 2013/03/19 01:07:34, tbarzic wrote: > On ...
5 years, 6 months ago (2013-03-19 04:49:29 UTC) #4
tonibarzic
https://codereview.chromium.org/12906002/diff/4002/ui/views/controls/styled_label.cc File ui/views/controls/styled_label.cc (right): https://codereview.chromium.org/12906002/diff/4002/ui/views/controls/styled_label.cc#newcode48 ui/views/controls/styled_label.cc:48: result->SetFont(result->font().DeriveFont(0, style_info.font_style)); On 2013/03/19 04:49:29, Evan Stade wrote: > ...
5 years, 6 months ago (2013-03-19 16:27:53 UTC) #5
tbarzic
any updates on this?
5 years, 6 months ago (2013-03-22 17:24:37 UTC) #6
sky
I think estade is on vacation til Monday. On Fri, Mar 22, 2013 at 10:24 ...
5 years, 6 months ago (2013-03-22 19:11:40 UTC) #7
Evan Stade
https://codereview.chromium.org/12906002/diff/4002/ui/views/controls/styled_label.cc File ui/views/controls/styled_label.cc (right): https://codereview.chromium.org/12906002/diff/4002/ui/views/controls/styled_label.cc#newcode165 ui/views/controls/styled_label.cc:165: // This happens when only whitespace is left. On ...
5 years, 6 months ago (2013-03-25 22:30:10 UTC) #8
tbarzic
https://codereview.chromium.org/12906002/diff/4002/ui/views/controls/styled_label.cc File ui/views/controls/styled_label.cc (right): https://codereview.chromium.org/12906002/diff/4002/ui/views/controls/styled_label.cc#newcode165 ui/views/controls/styled_label.cc:165: // This happens when only whitespace is left. On ...
5 years, 6 months ago (2013-03-26 21:32:33 UTC) #9
Evan Stade
lgtm https://codereview.chromium.org/12906002/diff/27001/ui/views/controls/styled_label_unittest.cc File ui/views/controls/styled_label_unittest.cc (right): https://codereview.chromium.org/12906002/diff/27001/ui/views/controls/styled_label_unittest.cc#newcode194 ui/views/controls/styled_label_unittest.cc:194: // but does with normal font style. can ...
5 years, 6 months ago (2013-03-27 22:25:11 UTC) #10
sky
https://codereview.chromium.org/12906002/diff/27001/ui/views/controls/styled_label.cc File ui/views/controls/styled_label.cc (right): https://codereview.chromium.org/12906002/diff/27001/ui/views/controls/styled_label.cc#newcode72 ui/views/controls/styled_label.cc:72: TrimWhitespace(text, TRIM_ALL, &text_); Is there a reason to do ...
5 years, 5 months ago (2013-03-28 16:02:09 UTC) #11
Evan Stade
https://codereview.chromium.org/12906002/diff/27001/ui/views/controls/styled_label.cc File ui/views/controls/styled_label.cc (right): https://codereview.chromium.org/12906002/diff/27001/ui/views/controls/styled_label.cc#newcode72 ui/views/controls/styled_label.cc:72: TrimWhitespace(text, TRIM_ALL, &text_); On 2013/03/28 16:02:09, sky wrote: > ...
5 years, 5 months ago (2013-03-28 17:03:07 UTC) #12
tbarzic
https://codereview.chromium.org/12906002/diff/27001/ui/views/controls/styled_label.cc File ui/views/controls/styled_label.cc (right): https://codereview.chromium.org/12906002/diff/27001/ui/views/controls/styled_label.cc#newcode72 ui/views/controls/styled_label.cc:72: TrimWhitespace(text, TRIM_ALL, &text_); On 2013/03/28 17:03:07, Evan Stade wrote: ...
5 years, 5 months ago (2013-03-28 20:33:58 UTC) #13
sky
LGTM
5 years, 5 months ago (2013-03-28 22:42:23 UTC) #14
Evan Stade
https://codereview.chromium.org/12906002/diff/39001/ui/views/controls/styled_label.cc File ui/views/controls/styled_label.cc (right): https://codereview.chromium.org/12906002/diff/39001/ui/views/controls/styled_label.cc#newcode145 ui/views/controls/styled_label.cc:145: if (x == 0 && line > 0) I ...
5 years, 5 months ago (2013-03-29 19:35:48 UTC) #15
tbarzic
https://codereview.chromium.org/12906002/diff/39001/ui/views/controls/styled_label.cc File ui/views/controls/styled_label.cc (right): https://codereview.chromium.org/12906002/diff/39001/ui/views/controls/styled_label.cc#newcode145 ui/views/controls/styled_label.cc:145: if (x == 0 && line > 0) On ...
5 years, 5 months ago (2013-03-29 20:00:57 UTC) #16
Evan Stade
https://codereview.chromium.org/12906002/diff/39001/ui/views/controls/styled_label.cc File ui/views/controls/styled_label.cc (right): https://codereview.chromium.org/12906002/diff/39001/ui/views/controls/styled_label.cc#newcode145 ui/views/controls/styled_label.cc:145: if (x == 0 && line > 0) On ...
5 years, 5 months ago (2013-03-29 23:14:58 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/tbarzic@chromium.org/12906002/47001
5 years, 5 months ago (2013-04-01 19:16:56 UTC) #18
commit-bot: I haz the power
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
5 years, 5 months ago (2013-04-01 20:36:44 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/tbarzic@chromium.org/12906002/58003
5 years, 5 months ago (2013-04-02 15:26:34 UTC) #20
commit-bot: I haz the power
5 years, 5 months ago (2013-04-02 18:05:45 UTC) #21
Message was sent while issue was closed.
Change committed as 191857

Powered by Google App Engine
This is Rietveld 408576698